Attribute VB_Name = "Benchmark"
Public Sub Test()

   Dim sPath As String
   Dim pWSF As IWorkspaceFactory
   Dim pWS As IWorkspace
   Dim pFWS As IFeatureWorkspace
   Dim pFClass As IFeatureClass
   
   sPath = "c:\apps\locator\data\azgas.gdb"
   Set pWSF = New FileGDBWorkspaceFactory
   Set pWS = pWSF.OpenFromFile(sPath, 0)
   Set pFWS = pWS
   Set pFClass = pFWS.OpenFeatureClass("parcel")

   Dim pFCursor As IFeatureCursor
   Dim fStart As Single, fEnd As Single
   Dim iCount, iSeconds As Long
   Dim dArea As Double
   Dim pFeat As IFeature
   Dim pShape As IGeometry
   Dim pArea As IArea
   Dim sMsg As String
   
   Set pFCursor = pFClass.Search(Nothing, True)
   fStart = Timer()
   iCount = 0
   dArea = 0
   Do
      Set pFeat = pFCursor.NextFeature
      If pFeat Is Nothing Then
         Exit Do
      End If
      iCount = iCount + 1
      Set pShape = pFeat.ShapeCopy
      If Not pShape Is Nothing Then
         Set pArea = pShape
         dArea = dArea + pArea.Area
      End If
   Loop
   fEnd = Timer()
   iSeconds = fEnd - fStart
   sMsg = "RESULTS:"
   sMsg = sMsg & vbNewLine & "Count: " & iCount
   sMsg = sMsg & vbNewLine & "Avg Area: " & CLng(dArea / iCount)
   sMsg = sMsg & vbNewLine & "Seconds: " & iSeconds
   MsgBox sMsg, vbOKOnly, "Test"

End Sub
